Bug 7763 - Can't start linuxconf in GUI (text OK)
Can't start linuxconf in GUI (text OK)
Product: Red Hat Linux
Classification: Retired
Component: linuxconf (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 1999-12-12 01:59 EST by greg walsh
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 13:47:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description greg walsh 1999-12-12 01:59:24 EST
Problem has steadily worsened.

Started with the "C library" reports that I've seen mentioned here, then
system started reporting the "can't open widget" message.

Now when I try to start linuxconf from the terminal I get "broken pipe".

When I try to start it again I get

Error message from readmin :Xlib: connection to ":0.0" refused by server
Error message from readmin :Xlib: Invalid MIT-MAGIC-COOKIE-1 key
Error message from readmin :
Error message from readmin :Gtk-WARNING **: cannot open diplay: :0.0
readmin (GUI frontend) exiting abnormaly

# echo $DISPLAY produces:

# xauth list $DISPLAY returns
mylogin-name.my.isp.com/unix:0 MIT-MAGIC-COOKIE-1

# linuxconf --text works fine (so far)

Another symptom I'm fairly sure is related:

I added a user account (gwalsh).  Then I changed it, then completely deleted
it --wiping all account info from the disk.  Around this time linuxconf
started getting weirder.  Now when I create a new acount using the same user
name (gwalsh), I can login, gnome starts, but there is *no* panel.  This
happens only with this one username, all other accounts are fine.  It
occurs even if I completely delete the account and reboot.  It occurs even
if I create the account using "linuxconf --text" Obviously a file is
corrupted and that username and gnome don't get along any longer.  I can
switch the desktop in that account to KDE and the account is fine.

Unfortunately, I'm a complete unix/linux novice and 6.1 has been my first
install, so I can't really tell you more than that. I'd love to know how to
fix this particular account.

<gripe on>

I also can't begin to tell you what acomplete and total pain in the ass this
experience has been.  How did you guys ever ship a release with that munged
up installer?  Didn't anyone test it?  I bet I installed at least *20* times
over a period of three days before I finally decided to wipe out my NTFS
partition and got the install to work.  Then it screwed up my Win98 MBR.
I've had serious troubles getting Disk Druid to recognize linux partitions,
and now this.

For a total newbie, this has been a real drag. Trust me on this. For an
outfit that just did a major IPO it seems like your quality control is kinda

</gripe off>

Thanks for listening. Let me know if there is anything I can do besides wait
for a fix and/or reinstall
Comment 1 Nalin Dahyabhai 2000-01-17 09:29:59 EST
When you removed the account, did you select the option to remove the account's
data at the same time?  It sounds as if you have created the new account and
reused the same home directory, somehow having given the user a different UID
than before.  With a different UID or GID owning your files, strange things
would happen. Please check that the owner of your files is your user by running:
ls -ln $HOME
and comparing the uid and gid listed before the file sizes with the output of
id -a
Comment 2 erik 2000-07-27 08:20:55 EDT
I'm seeing similar problems using ssh with X forwarding.  I log in with

ssh machine -l root

which lets me in OK and X forwarding works for all other programs than
linuxconf.  I tried xterm, xbiff, gcombust.  When I start linuxconf I get

# linuxconf            
X11 connection rejected because of wrong authentication at Thu Jul 27 13:52:09
Rejected connection at Thu Jul 27 13:52:09 2000: X11 connection from
machine.domain.dk port 1293

Error message from remadmin :Gdk-ERROR **: X connection to
machine.domain.dk:10.0 broken (explicit kill or server shutdown).

The Xauth details are:
# xauth
Using authority file /tmp/Xauthv12345
xauth> list
machine.domain.dk:10  MIT-MAGIC-COOKIE-1  21e98dd1234567893dd8f2cd0f2a4fef
xauth> quit

So perhaps linuxconf is getting confused because it looks like a local server,
but you have to use TCP, you can't use Unix domain sockets (AFAIK) to talk to
the ssh forwarding port.

I did an strace of linuxconf, and here is what looks most likely to be vaguely

lstat("/bin/remadmin", {st_mode=S_IFREG|0755, st_size=835, ...}) = 0
socketpair(PF_UNIX, SOCK_STREAM, 1, [14, 15]) = 0
pipe([16, 17])                          = 0
pipe([18, 19])                          = 0
rt_sigaction(SIGCHLD, {0x80b61e4, [], SA_RESTART|0x4000000}, {SIG_DFL}, 8) = 0
fork()                                  = 12373
close(17)                               = 0
close(19)                               = 0
close(15)                               = 0
fcntl(14, F_GETFL)                      = 0x2 (flags O_RDWR)
fstat(14, {st_mode=S_IFSOCK|0777, st_size=0, ...}) = 0
_llseek(14, 0, 0xbfffda78, SEEK_CUR)    = -1 ESPIPE (Illegal seek)
write(14, "Version 3 \"Invalid GUI protocol "..., 41) = 41
select(19, [14 16 18], NULL, NULL, {1000000, 0}) = 1 (in [14], left {999999,
read(14, "prefer treemenu\n", 9999)     = 16
write(14, "23 main-0-1 \"Command line usage\""..., 1024) = 1024
write(14, "inuxconf_dialout site ppp-device"..., 1024) = 1024
write(14, " domain [--startuid uid ] [--dal"..., 856) = 856
select(19, [14 16 18], NULL, NULL, {1000000, 0}) = 1 (in [16], left {999999,
read(16, "Gdk-ERROR **: X connection to br"..., 9999) = 95
write(2, "Error message from remadmin :Gdk"..., 124Error message from remadmin
:Gdk-ERROR **: X connection to brage.mjolner.dk:10.0 broken (explicit kill or
server shutdown).
) = 124
select(19, [14 16 18], NULL, NULL, {1000000, 0}) = 3 (in [14 16 18], left
{1000000, 0})
--- SIGCHLD (Child exited) ---

In contrast, xbiff, which works does a

access("/tmp/Xauthv12345", R_OK)        = 0
open("/tmp/Xauthv12345", O_RDONLY)      = 4
read(4, "\0\0", 2)                      = 2
read(4, "\0\4", 2)                      = 2
read(4, "\n\0\0\7", 4)                  = 4
read(4, "\0\2", 2)                      = 2
read(4, "10", 2)                        = 2
read(4, "\0\22", 2)                    = 2
read(4, "MIT-MAGIC-COOKIE-1", 18)       = 18

I can't find any references to the Xauth file when I strace linuxconf.  The
environment file
is set.

Versions on the machine I am ssh'ing to:

and on the machine I am ssh'ing from:
Comment 3 Brent Fox 2002-06-05 12:20:29 EDT
Closing because we don't ship linuxconf anymore
Comment 4 Red Hat Bugzilla 2006-02-21 13:47:35 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.